//Simple utility class to handle AJAX loading of files:
function ContentLoader()
{
	this.data = null;
	this.xhr = null;
	$.ajaxSetup(
	{
		cache: false
	});
}

//Load file at specified path:
ContentLoader.prototype.loadFile = function(filePath, dataType)
{
	this.data = null;
	if (this.xhr != null)
	{
		this.xhr.abort();
		this.xhr = null;
	}
	this.xhr = $.ajax(
	{
		type: "GET",
		url: filePath,
		dataType: dataType,
		success: $.proxy(this.onFileLoaded, this),
		error: $.proxy(this.onFileLoadError, this),
		cache: false
	});
}

//Dispatch an event when the external file has been loaded:
ContentLoader.prototype.onFileLoaded= function(data)
{
	this.data = data;
	$(this).trigger("onContentLoaded");
}

//Dispatch an event when external file has failed to load:
ContentLoader.prototype.onFileLoadError = function(jqXHR, textStatus, errorThrown){
	$(this).trigger("onContentLoadError", jqXHR, textStatus, errorThrown);
}