$(document).ready(function(){
	//Utility object for handling XHR requests, to load in the glossary.xml:
	var glossaryLoader = new ContentLoader();

	//Setup listener for load completion before we load the glossary.xml:
	$(glossaryLoader).bind("onContentLoaded", function(evt){
		var glossaryXML = this.data;
		
		//Build the glossary navigation menu and shell out glossary sections:
		var alphabet = "#ABCDEFGHIJKLMNOPQRSTUVWXYZ";
		for (var i = 0; i < alphabet.length; i++){
			letter = alphabet.charAt(i);
			$("ul.glossaryLetterList").append("<li><a href=\"#glossarySection" + ((letter == "#")? "Numeral" : letter) + "\">" + letter + "</a></li>");
			$("#glossarySectionWrapper").append("<div id=\"glossarySection" + ((letter == "#")? "Numeral" : letter) + "\" class=\"glossarySection\"><h2 class=\"sectionHeading\">" + letter + "</h2></div>");
		}

		//Add definitions from glossary.xml as DOM elements:
		$(glossaryXML).find("entry").each(function(index){
			var entryXML = this;
			var termStr = $(entryXML).find("term").text();
			var definitionStr = $(entryXML).find("definition").text();
			var sectionId = termStr.charAt(0);
			//Detect numerals:
			if(isNaN(sectionId) == false) sectionId = "Numeral";
			var glossarySectionSelector = "#glossarySection" + sectionId;
			var htmlStr = "<div class=\"glossaryEntry\">";
				htmlStr += "<span class=\"glossaryTerm\">" + termStr + "</span>: ";
				htmlStr += "<span class=\"glossaryDefinition\">" + definitionStr + "</span>";
				htmlStr +="</div>";
			$(glossarySectionSelector).append(htmlStr);
		});
		
		$(".glossarySection").each(function(){
			$(this).append("<p><a class=\"backToTop\" href=\"#popupHeader\">Back To Top</a></p>");
		});
	});

	//Load the glossary XML:
	glossaryLoader.loadFile("../xml/glossary.xml", "xml");
});